TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get block transactions

POST
/api/v2/getBlockTransactions

Returns a summary of transactions in a specific block. Each item contains the account address and transaction ID, but not full transaction details. Use count to limit results and after_lt/after_hash for pagination. Call getTransactions with each transaction ID to get full details.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request to fetch transactions from a specific block with optional pagination.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v2/getBlockTransactions" \  -H "Content-Type: application/json" \  -d '{    "workchain": "string",    "shard": "string",    "seqno": "string"  }'
{  "ok": true,  "result": {    "@type": "blocks.transactions",    "id": {      "@type": "ton.blockIdExt",      "workchain": 0,      "shard": "string",      "seqno": 0,      "root_hash": "string",      "file_hash": "string"    },    "req_count": 0,    "incomplete": true,    "transactions": [      {        "@type": "blocks.shortTxId",        "mode": 0,        "account": "string",        "lt": "string",        "hash": "string"      }    ]  },  "@extra": "string"}